summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Johannes Schoepfer <slackbuilds[at]schoepfer[dot]info>2016-07-20 05:00:32 -0500
committer Robby Workman <rworkman@slackbuilds.org>2016-07-20 14:20:25 -0500
commitcc556c02d6228c0949aa6955f807fcdd781bc751 (patch)
treea5356da2b132ddf2b7be8b62d71b62b6dc57ef09
parentd288e54fa651d05e176f636f4b1092a5b5bd6c09 (diff)
downloadslackbuilds-cc556c02d6228c0949aa6955f807fcdd781bc751.tar.gz
slackbuilds-cc556c02d6228c0949aa6955f807fcdd781bc751.tar.xz
office/texlive-extra: Added (this replaces texlive-texmf-extra)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--office/texlive-extra/README4
-rw-r--r--office/texlive-extra/doinst.sh5
-rw-r--r--office/texlive-extra/slack-desc19
-rw-r--r--office/texlive-extra/texlive-extra.SlackBuild80
-rw-r--r--office/texlive-extra/texlive-extra.info10
5 files changed, 118 insertions, 0 deletions
diff --git a/office/texlive-extra/README b/office/texlive-extra/README
new file mode 100644
index 0000000000..f2fd01f480
--- /dev/null
+++ b/office/texlive-extra/README
@@ -0,0 +1,4 @@
+texlive-extra (extra texmf files for TeXLive)
+
+This package contains texmf files which don't fit in the
+texlive-lang or texlive-fonts packages.
diff --git a/office/texlive-extra/doinst.sh b/office/texlive-extra/doinst.sh
new file mode 100644
index 0000000000..79d4d4d3e1
--- /dev/null
+++ b/office/texlive-extra/doinst.sh
@@ -0,0 +1,5 @@
+rm -f usr/share/texmf-config/web2c/updmap.cfg
+chroot . /usr/bin/mktexlsr 1>/dev/null 2>/dev/null
+printf "y\n" | chroot . /usr/bin/updmap-sys --nohash --syncwithtrees 1>/dev/null 2>/dev/null
+chroot . /usr/bin/updmap-sys 1>/dev/null 2>/dev/null
+chroot . /usr/bin/fmtutil-sys --all 1>/dev/null 2>/dev/null
diff --git a/office/texlive-extra/slack-desc b/office/texlive-extra/slack-desc
new file mode 100644
index 0000000000..61f5fb2e85
--- /dev/null
+++ b/office/texlive-extra/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+texlive-extra: texlive-extra (extra texmf files for TeXLive)
+texlive-extra:
+texlive-extra: This package contains texmf files which don't fit
+texlive-extra: in the texlive-lang or texlive-fonts packages.
+texlive-extra:
+texlive-extra:
+texlive-extra:
+texlive-extra:
+texlive-extra:
+texlive-extra:
+texlive-extra:
diff --git a/office/texlive-extra/texlive-extra.SlackBuild b/office/texlive-extra/texlive-extra.SlackBuild
new file mode 100644
index 0000000000..37b19c5f22
--- /dev/null
+++ b/office/texlive-extra/texlive-extra.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# texlive-extra build script for Slackware
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009-2014 Robby Workman, Northport, AL, USA
+# Copyright 2016 Johannes Schoepfer, <slackbuilds@schoepfer.info>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=texlive-extra
+VERSION=20160622
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share $OUTPUT
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz -C $PKG/usr/share
+chown -R root:root $PKG
+chmod -R u+w,go-w,a+rX-st $PKG
+
+## put context scripts in place
+#mkdir -p $PKG/usr/bin
+#cat << 'EOF' > $PKG/usr/bin/context
+##!/bin/sh
+#mtxrun --script context "$@"
+#EOF
+#cat << 'EOF' > $PKG/usr/bin/contextjit
+##!/bin/sh
+#luajittex --luaonly $(dirname $0)/mtxrun --script context "$@"
+#EOF
+#cat << 'EOF' > $PKG/usr/bin/luatools
+##!/bin/sh
+#mtxrun --script base "$@"
+#EOF
+#cat << 'EOF' > $PKG/usr/bin/mtxrunjit
+##!/bin/sh
+#luajittex --luaonly $(dirname $0)/mtxrun "$@"
+#EOF
+#cat << 'EOF' > $PKG/usr/bin/texexec
+##!/bin/sh
+#mtxrun --usekpse --execute texexec "$@"
+#EOF
+#cat << 'EOF' > $PKG/usr/bin/texmfstart
+##!/bin/sh
+#mtxrun --usekpse "$@"
+#EOF
+#
+#chmod 755 $PKG/usr/bin/*
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/texlive-extra/texlive-extra.info b/office/texlive-extra/texlive-extra.info
new file mode 100644
index 0000000000..81e62c8ff5
--- /dev/null
+++ b/office/texlive-extra/texlive-extra.info
@@ -0,0 +1,10 @@
+PRGNAM="texlive-extra"
+VERSION="20160622"
+HOMEPAGE="http://tug.org/texlive/"
+DOWNLOAD="http:/slackware.schoepfer.info/slackbuilds/texlive/2016/texlive-extra/texlive-extra-20160622.tar.xz"
+MD5SUM="2f4d9b46fcdd5d14aaaf4132bf3c461e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="texlive"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds[at]schoepfer[dot]info"